%global major	0
%define libname	%mklibname graphene %major
%define devname	%mklibname graphene -d
%define girname	%mklibname graphene-gir

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A thin layer of types for graphic libraries
Name:		graphene
Version:	1.6.0
Release:	%mkrel 1
License:	MIT
Group:          System/Libraries
URL:		https://github.com/ebassi/graphene
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig
BuildRequires:	meson

%description
Graphene provides a small set of mathematical types needed to
implement graphic libraries that deal with 2D and 3D transformations
and projections.

%package -n %{libname}
Summary:	A thin layer of types for graphic libraries
Group:		System/Libraries

%description -n %{libname}
Graphene provides a small set of mathematical types needed to
implement graphic libraries that deal with 2D and 3D transformations
and projections.

%package -n %{devname}
Summary:	Header files for Graphene library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel

%description -n %{devname}
Header files for Graphene library.

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface library for %{name}.

%prep
%setup -q

%build
# meson errors out without a utf8 LANG set
# https://github.com/mesonbuild/meson/issues/1085
export LANG=C.UTF-8

%meson
%meson_build

%install
%meson_install

rm -fr %{buildroot}%{_libexecdir}/installed-tests/

%files -n %{libname}
%{_libdir}/libgraphene-1.0.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libgraphene-1.0.so
%{_includedir}/graphene-1.0
%dir %{_libdir}/graphene-1.0
%{_libdir}/graphene-1.0/include
%{_libdir}/pkgconfig/graphene-1.0.pc
%{_libdir}/pkgconfig/graphene-gobject-1.0.pc
%{_datadir}/gir-1.0/Graphene-1.0.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Graphene-1.0.typelib


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 1.6.0-1.mga6
+ Revision: 1094362
- new version 1.6.0
- fix source url

* Thu Feb 02 2017 daviddavid <daviddavid> 1.5.2-3.mga6
+ Revision: 1084604
- use meson macros
- fix summary on library subpackage

* Thu Dec 01 2016 tv <tv> 1.5.2-2.mga6
+ Revision: 1071402
- use meson+ninja directly rather than configure wrapper

* Thu Dec 01 2016 tv <tv> 1.5.2-1.mga6
+ Revision: 1071395
- fix 3 more files regarding UTF-8 vs ascii (was passing with bm but not with iurt or with bm-check-submit)
- fix encoding of source files so that it works when using bm instead of raw rpm
- add graphene-devel provides
- imported package graphene

